RedCrawler API
Scrape V2

Community Info by Name V2

Fetch subreddit info. Returns subscriber count, description, rules summary, creation date, and more.

GET /api/v2/community/q/info

Fetch subreddit info. Returns subscriber count, description, rules summary, creation date, and more.

Query parameters

NameTypeRequiredDescription
namestringYesSubreddit name, r/name, or URL.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/community/q/info?name=python" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/community/q/info?name=python", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/community/q/info?name=python"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "subreddit": {
      "id": "t5_examples",
      "name": "Python",
      "prefixedName": "r/Python",
      "styles": {
        "legacyIcon": null,
        "legacyPrimaryColor": null,
        "legacyBannerBackgroundImage": null,
        "primaryColor": "#FFCC00",
        "icon": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "bannerBackgroundImage": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "mobileBannerImage": null
      },
      "title": "Python",
      "description": {
        "markdown": "####[The Python Discord](https://discord.gg/python)\n\nNews about the dynamic, interpreted, interactive, object-oriented, extensible programming language Python\n\n# Upcoming Events\n[Full Events Calendar](https://www.python.org/events/) \n\n# Please read the rules\n**You can find the rules [here](https://old.reddit.com/r/Python/about/rules/).**\n\n**If you are about to ask a \"how do I do this in python\" qu\u2026",
        "richtext": "{\"document\":[{\"c\":[{\"e\":\"link\",\"t\":\"The Python Discord\",\"u\":\"https://discord.gg/python\"}],\"e\":\"h\",\"l\":4},{\"c\":[{\"e\":\"text\",\"t\":\"News about the dynamic, interpreted, interactive, object-oriented, extensible programming language Python\"}],\"e\":\"par\"},{\"c\":[{\"e\":\"raw\",\"t\":\"Upcoming Events\"}],\"e\":\"h\",\"l\":1},{\"c\":[{\"e\":\"link\",\"t\":\"Full Events Calendar\",\"u\":\"https://www.python.org/events/\"}],\"e\":\"par\"},{\u2026"
      },
      "publicDescriptionText": "The largest Python community for Reddit! Stay up to date with the latest news, packages, and meta information relating to the Python programming language. \n---\n\nIf you have questions or are new to Python use r/LearnPython",
      "subscribersCount": 1474100.0,
      "communityStats": {
        "weeklyActiveUsersCount": 198207,
        "weeklyContributionsCount": 1068
      },
      "createdAt": "2008-01-25T03:14:39.134000+0000",
      "type": "PUBLIC",
      "path": "/r/Python/",
      "isNsfw": false,
      "wiki": {
        "indexPage": {
          "status": "VALID"
        }
      },
      "wikiEditMode": "MODONLY",
      "whitelistStatus": "ALL_ADS",
      "isPostingRestricted": true,
      "isQuarantined": false,
      "quarantineMessage": null,
      "interstitialWarningMessage": null,
      "allowedPostTypes": [],
      "isSpoilerAvailable": true,
      "isUserBanned": false,
      "isContributor": false,
      "modPermissions": null,
      "isSubscribed": false,
      "isFavorite": false,
      "notificationLevel": null,
      "authorFlairSettings": {
        "isEnabled": true,
        "isSelfAssignable": true,
        "isOwnFlairEnabled": false
      },
      "authorFlair": null,
      "postFlairSettings": {
        "isEnabled": true
      },
      "originalContentCategories": [],
      "isTitleSafe": true,
      "isMediaInCommentsSettingShown": true,
      "allowedMediaInComments": null,
      "isMuted": false,
      "isChannelsEnabled": false,
      "isCrosspostingAllowed": false,
      "devvit": {
        "installations": []
      },
      "detectedLanguage": "en",
      "welcomePage": {
        "isEnabled": true,
        "isEnabledOnJoin": true
      },
      "communityStatus": {
        "description": {
          "markdown": "[Pycon US 2025 ](https://us.pycon.org/2025/)starts next week!",
          "richtext": "{\"document\":[{\"c\":[{\"e\":\"link\",\"t\":\"Pycon US 2025 \",\"u\":\"https://us.pycon.org/2025/\"},{\"e\":\"text\",\"t\":\"starts next week!\"}],\"e\":\"par\"}]}"
        },
        "emoji": {
          "name": "pythonLogo",
          "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/"
        }
      },
      "taxonomy": {
        "taxonomyTopics": [
          {
            "taxonomyTopic": {
              "id": "Programming",
              "displayName": "Programming"
            },
            "displayCopy": "#19 in Programming"
          }
        ]
      },
      "yearInReviewSettings": {
        "isEnabled": false,
        "isEligible": false
      },
      "communityLeaderboard": {
        "isEnabled": true
      }
    }
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:21.563519+00:00"
}

On this page